<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.w3.org/1999/xhtml">
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
    <meta charset="UTF-8">
    <title>Form Page</title>

    <style>

        body {
            background-color: #555;
        }

        .navbar-fixed {
            position: absolute;
            z-index: 999999999;
        }


        .col .row {
            margin-left: 5rem;
            margin-right: 5rem;
        }

        .background {

            position: absolute;
            width: 100%;
            height: 100%;
            background-image: url("https://abali.ru/_d/2013/05/siniy_goluboj_fon_1920x1080.jpg");
        }

        .foreground {
            backdrop-filter: blur(10px);
            margin-left: 30rem;
            margin-right: 30rem;
            margin-top: 5rem;
        }

        aside {
            position: relative;
            padding: 5rem 1.5rem 5rem 1.5rem;
            font-size: 1.125rem;
            font-weight: 600;
            max-width: 700px;
            border-top: 4px solid;
            border-left: 4px solid;
            border-bottom: 4px solid;
            border-image-slice: 1;
            border-image-source: linear-gradient(90deg, #14b1ab, transparent);
        }

        .brand-logo {
            position: absolute;
            left: 0px;
            top: -100%;
        }

        ::placeholder {
            color: black;

        }

    </style>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <script>
        $(document).ready(function () {
            $('#comboboxMake').change(function () {
                var makeId = $(this).val();
                $.ajax({
                    type: 'GET',
                    url: '/api/forms/getModelByMake/' + makeId,
                    success: function (result) {
                        // var result=JSON.parse(result);
                        var s = '';
                        for (var i = 0; i < result.length; i++) {
                            s += '<option value="' + result[i].id + '">' + result[i].title + '</option>';
                        }
                        $('#comboboxModel').html(s);
                    }
                })
            });

            $('#buttonCalculate').on("click", function () {
                var cubics = $("#cubic-capacity").val();
                var age = $("#driverAge").val();
                var regDate = $("#firstRegistrationDate").val();
                var accidents = $("#Resend").val();

                var simulationForm = {
                    "cubicCapacity": cubics,
                    "driveAge": age,
                    "firstRegistrationDate": regDate,
                    "accidents": accidents
                }
                $.ajax({
                    type: 'GET',
                    data: simulationForm,
                    url: '/api/forms/calculate',
                    success: function (result) {
                        var s = result;
                        $('#showCalculation').val(s + ' BGN');
                    }
                });
            });
        });
    </script>
</head>
<body>


<div class="wrapper">

    <div class="background">

        <div class="navbar-fixed">
            <nav class="transparent z-depth-0">
                <div class="nav-wrapper">
                    <!--                    <a href="#!" class="brand-logo"><img src="logo/logo.png" ></a>-->
                    <a href="#" data-target="mobile-demo" class="sidenav-trigger"><i class="material-icons">menu</i></a>
                    <ul class="right hide-on-med-and-down">
                        <li><a th:href="@{/}" href="index.html">Home</a></li>
                        <li><a th:href="@{/forms}" href="formPage.html">Forms and Offers</a></li>
                        <li sec:authorize="isAuthenticated()"><a th:href="@{/my-profile}" href="my-profile.html">My
                            Profile</a></li>

                        <li sec:authorize="hasRole('ROLE_ADMIN')">
                            <form th:action="@{/administrator}" method="get">
                                <button class="btn waves-effect waves-light col s4" type="submit" value="Admin">Admin
                                    Portal
                                </button>
                            </form>
                        </li>

                        <li sec:authorize="isAuthenticated()">
                            <form th:action="@{/logout}" method="post">
                                <button class="btn waves-effect waves-light col s4" type="submit" value="Logout">Logout!
                                </button>
                            </form>
                        </li>

                        <button class="btn waves-effect waves-light col s4" sec:authorize="!isAuthenticated()"
                                onclick="window.location='/login'" value="Login">Login!
                        </button>

                    </ul>
                </div>
            </nav>
        </div>


        <div class="foreground">


            <aside>

                <div class="form-bar box glowing">

                    <form action="#" th:action="@{/forms/save}" th:object="${dto}" method="post" id="saveForm"
                          class="col s12">


                        <div class="row">
                            <div class="input-field col s6">
                                <input type="date" placeholder="First Registration Date" id="firstRegistrationDate"
                                       th:field="*{firstRegistrationDate}" required>
                            </div>

                            <div class="input-field col s6">
                                <input placeholder="Your Age" id="driverAge" type="number" class="validate"
                                       th:field="*{driverAge}" min="18" max="100" required>
                            </div>
                        </div>


                        <div class="row">
                            <div class="input-field col s6">
                                <label style="color: black">Accidents in the previous year</label>
                            </div>

                            <div class="input-field col s6">
                                <div class="switch">
                                    <label style="color: black">
                                        No
                                        <input type="checkbox" data-toggle="switch" name="accident" id="Resend"
                                               th:filed="*{accident}" th:checked="true">
                                        <span class="lever"></span>
                                        Yes
                                    </label>
                                </div>
                            </div>
                        </div>


                        <div class="row">
                            <div class="input-field col s12">
                                <input placeholder="Cubic Capacity" id="cubic-capacity" type="number" class="validate"
                                       th:field="*{cubicCapacity}" required min="0" max="99999">
                            </div>
                        </div>


                        <div class="row">

                            <div class="input-field col s12">
                                <select class="browser-default" id="comboboxMake">
                                    <option
                                            th:each="make:${makes}"
                                            th:value="${make.id}"
                                            th:text="${make.title}">Select model
                                    </option>
                                </select>
                            </div>
                            <div class="input-field col s12">
                                <select class="browser-default" id="comboboxModel" th:field="*{modelId}" required>
                                </select>
                            </div>

                        </div>

                        <div class="row">
                            <button class="btn waves-effect waves-light col s4" type="submit" value="Proceed">Proceed!
                            </button>
                        </div>

                    </form>

                    <div class="calculation-section col s12">
                        <div class="row">
                            <div>
                                <button class="btn waves-effect waves-light col s4" id="buttonCalculate" type="submit"
                                        value="Calc">Calculate
                                </button>
                            </div>
                            <div>

                                <input type="text" id="showCalculation" value="" class="disabled col s8">
                            </div>
                        </div>
                    </div>
                </div>
            </aside>
        </div>
    </div>
</div>
</body>
</html>